> ## Documentation Index
> Fetch the complete documentation index at: https://docs.smolboard.app/llms.txt
> Use this file to discover all available pages before exploring further.

# Get a Room by ID



## OpenAPI

````yaml https://www.smolboard.app/api/openapi.json get /api/entities/room/{id}
openapi: 3.1.0
info:
  description: Auto-generated API documentation for smolboard
  title: smolboard
  version: 0.1.0
servers:
  - url: ''
security: []
paths:
  /api/entities/room/{id}:
    get:
      tags:
        - Room
      summary: Get a Room by ID
      operationId: getRoomById
      parameters:
        - in: path
          name: id
          required: true
          schema:
            type: string
      responses:
        '200':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/Room'
          description: Room found
        '404':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/Error'
          description: Not found
      security:
        - BearerAuth: []
components:
  schemas:
    Room:
      properties:
        capacity:
          type: integer
        eventId:
          type: string
        id:
          type: string
        name:
          type: string
        orgId:
          type: string
        sortOrder:
          type: integer
      required:
        - id
        - orgId
        - eventId
        - name
        - sortOrder
      type: object
    Error:
      properties:
        error:
          properties:
            code:
              type: string
            hint:
              type: string
            message:
              type: string
          required:
            - code
            - message
          type: object
      type: object
  securitySchemes:
    BearerAuth:
      scheme: bearer
      type: http

````